#include <iostream>
using namespace std;


int main() {

    int Kada_je_otac_kupio_plazmu;
    int od_kog_dana_cerka_jede_plazmu;

    cin >> Kada_je_otac_kupio_plazmu >> od_kog_dana_cerka_jede_plazmu;

  
    long maksimalan_broj_dana[300000];
   

    for (int j = 0; j < Kada_je_otac_kupio_plazmu;j++) {

        cin >> maksimalan_broj_dana[j];


    }


    long spisak_dana = 0;

    for (int j = 0;j < od_kog_dana_cerka_jede_plazmu; j++) {



        long koji_je_Dan;
        cin >> koji_je_Dan;

        long brojac = 0;

       while(spisak_dana < Kada_je_otac_kupio_plazmu && maksimalan_broj_dana[spisak_dana] < koji_je_Dan)



        cout << brojac << endl;


    }


























    return 0;
}